<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2_07) on Fri Feb 18 00:47:33 EST 2005 -->
<TITLE>
ArtifactEdit
</TITLE>

<META NAME="keywords" CONTENT="org.eclipse.wst.common.modulecore.ArtifactEdit class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../apistyles.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ArtifactEdit";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ArtifactEdit.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEditModel.html" title="class in org.eclipse.wst.common.modulecore"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ArtifactEdit.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.common.modulecore</FONT>
<BR>
Class ArtifactEdit</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by"><B>org.eclipse.wst.common.modulecore.ArtifactEdit</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../org/eclipse/wst/common/modulecore/IEditModelHandler.html" title="interface in org.eclipse.wst.common.modulecore">IEditModelHandler</A></DD>
</DL>
<HR>
<DL>
<DT>public class <B>ArtifactEdit</B><DT>extends java.lang.Object<DT>implements <A HREF="../../../../../org/eclipse/wst/common/modulecore/IEditModelHandler.html" title="interface in org.eclipse.wst.common.modulecore">IEditModelHandler</A></DL>

<P>
Provides a Facade pattern for accessing Module Content Metamodels for Web Tools Platform flexible modules. 
 <p>
 ArtifactEdit hides the management of accessing edit models (<A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEditModel.html" title="class in org.eclipse.wst.common.modulecore"><CODE>ArtifactEditModel</CODE></A>)
 correctly. Each project may have multiple (<A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEditModel.html" title="class in org.eclipse.wst.common.modulecore"><CODE>ArtifactEditModel</CODE></A>)s depending on the number
 of modules contained by the project. Clients should use ArtifactEdit or an appropriate 
 subclass when working with the content models of WTP modules. 
 </p>
 
 <p>
 Each ArtifactEdit facade is designed to manage the EditModel lifecycle for clients.
 However, while each ArtifactEdit is designed to be passed around as needed, clients must enforce
 the ArtifactEdit lifecycle. The most common method of acquiring a ArtifactEdit instance facade is to
 use <A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEdit.html#getArtifactEditForRead(org.eclipse.wst.common.modulecore.WorkbenchModule)"><CODE>getArtifactEditForRead(WorkbenchModule)</CODE></A>&nbsp;or <A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEdit.html#getArtifactEditForWrite(org.eclipse.wst.common.modulecore.WorkbenchModule)"><CODE>getArtifactEditForWrite(WorkbenchModule)</CODE></A>.
 </p>
 <p>
 When clients have concluded their use of the instance, <b>clients must call <A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEdit.html#dispose()"><CODE>dispose()</CODE></A>
 </b>.
 </p> 
 <p>
 This class is experimental until fully documented.
 </p>
<P>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../org/eclipse/wst/common/modulecore/ModuleCoreNature.html" title="class in org.eclipse.wst.common.modulecore"><CODE>ModuleCoreNature</CODE></A>, 
<A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEditModel.html" title="class in org.eclipse.wst.common.modulecore"><CODE>ArtifactEditModel</CODE></A></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Field Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.Class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEdit.html#ADAPTER_TYPE">ADAPTER_TYPE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEdit.html#ArtifactEdit(org.eclipse.wst.common.modulecore.ArtifactEditModel)">ArtifactEdit</A></B>(<A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEditModel.html" title="class in org.eclipse.wst.common.modulecore">ArtifactEditModel</A>&nbsp;anArtifactEditModel)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Creates an instance facade for the given <A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEditModel.html" title="class in org.eclipse.wst.common.modulecore"><CODE>ArtifactEditModel</CODE></A>
 </TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEdit.html#ArtifactEdit(org.eclipse.wst.common.modulecore.ModuleCoreNature, org.eclipse.wst.common.modulecore.WorkbenchModule, boolean)">ArtifactEdit</A></B>(<A HREF="../../../../../org/eclipse/wst/common/modulecore/ModuleCoreNature.html" title="class in org.eclipse.wst.common.modulecore">ModuleCoreNature</A>&nbsp;aNature,
             <A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModule</A>&nbsp;aModule,
             boolean&nbsp;toAccessAsReadOnly)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Creates an instance facade for the given <A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEditModel.html" title="class in org.eclipse.wst.common.modulecore"><CODE>ArtifactEditModel</CODE></A>
 </TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEdit.html#dispose()">dispose</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Clients must call the following method when they have finished using the model, even if the
 ArtifactEdit instance facade was created as read-only.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEdit.html" title="class in org.eclipse.wst.common.modulecore">ArtifactEdit</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEdit.html#getArtifactEditForRead(org.eclipse.wst.common.modulecore.WorkbenchModule)">getArtifactEditForRead</A></B>(<A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModule</A>&nbsp;aModule)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Returns an instance facade to manage the underlying edit model for the given
 <A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModule</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEdit.html" title="class in org.eclipse.wst.common.modulecore">ArtifactEdit</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEdit.html#getArtifactEditForWrite(org.eclipse.wst.common.modulecore.WorkbenchModule)">getArtifactEditForWrite</A></B>(<A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModule</A>&nbsp;aModule)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Returns an instance facade to manage the underlying edit model for the given
 <A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModule</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;EObject</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEdit.html#getContentModelRoot()">getContentModelRoot</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Returns the root object for read or write access (depending on how the current ArtifactEdit was loaded).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEdit.html#save(IProgressMonitor)">save</A></B>(IProgressMonitor&nbsp;aMonitor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Force a save of the underlying model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEdit.html#saveIfNecessary(IProgressMonitor)">saveIfNecessary</A></B>(IProgressMonitor&nbsp;aMonitor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Save the underlying model only if no other clients are currently using the model.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class java.lang.Object</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Field Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="ADAPTER_TYPE"><!-- --></A><H3>
ADAPTER_TYPE</H3>
<PRE>
public static final java.lang.Class <B>ADAPTER_TYPE</B></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="ArtifactEdit(org.eclipse.wst.common.modulecore.ArtifactEditModel)"><!-- --></A><H3>
ArtifactEdit</H3>
<PRE>
public <B>ArtifactEdit</B>(<A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEditModel.html" title="class in org.eclipse.wst.common.modulecore">ArtifactEditModel</A>&nbsp;anArtifactEditModel)</PRE>
<DL>
<DD><p>
 Creates an instance facade for the given <A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEditModel.html" title="class in org.eclipse.wst.common.modulecore"><CODE>ArtifactEditModel</CODE></A>
 </p>
<P>
<DT><B>Parameters:</B><DD><CODE>anArtifactEditModel</CODE> - </DL>
<HR>

<A NAME="ArtifactEdit(org.eclipse.wst.common.modulecore.ModuleCoreNature, org.eclipse.wst.common.modulecore.WorkbenchModule, boolean)"><!-- --></A><H3>
ArtifactEdit</H3>
<PRE>
public <B>ArtifactEdit</B>(<A HREF="../../../../../org/eclipse/wst/common/modulecore/ModuleCoreNature.html" title="class in org.eclipse.wst.common.modulecore">ModuleCoreNature</A>&nbsp;aNature,
                    <A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModule</A>&nbsp;aModule,
                    boolean&nbsp;toAccessAsReadOnly)</PRE>
<DL>
<DD><p>
 Creates an instance facade for the given <A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEditModel.html" title="class in org.eclipse.wst.common.modulecore"><CODE>ArtifactEditModel</CODE></A>
 </p>
<P>
<DT><B>Parameters:</B><DD><CODE>aNature</CODE> - A non-null <A HREF="../../../../../org/eclipse/wst/common/modulecore/ModuleCoreNature.html" title="class in org.eclipse.wst.common.modulecore"><CODE>ModuleCoreNature</CODE></A>for an accessible project<DD><CODE>aModule</CODE> - A non-null <A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModule</CODE></A>pointing to a module from the given
            <A HREF="../../../../../org/eclipse/wst/common/modulecore/ModuleCoreNature.html" title="class in org.eclipse.wst.common.modulecore"><CODE>ModuleCoreNature</CODE></A></DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="getArtifactEditForRead(org.eclipse.wst.common.modulecore.WorkbenchModule)"><!-- --></A><H3>
getArtifactEditForRead</H3>
<PRE>
public static <A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEdit.html" title="class in org.eclipse.wst.common.modulecore">ArtifactEdit</A> <B>getArtifactEditForRead</B>(<A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModule</A>&nbsp;aModule)</PRE>
<DL>
<DD><p>
 Returns an instance facade to manage the underlying edit model for the given
 <A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModule</CODE></A>. Instances of ArtifactEdit that are returned through this method must be 
 <A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEdit.html#dispose()"><CODE>dispose()</CODE></A>ed of when no longer in use.
 </p>
 <p>
 Use to acquire an ArtifactEdit facade for a specific <A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModule</CODE></A>that will not be
 used for editing. Invocations of any save*() API on an instance returned from this method
 will throw exceptions.
 </p>
 <p>
 <b>The following method may return null. </b>
 </p>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>aModule</CODE> - A valid <A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModule</CODE></A>with a handle that resolves to an accessible
            project in the workspace
<DT><B>Returns:</B><DD>An instance of ArtifactEdit that may only be used to read the underlying content model</DL>
</DD>
</DL>
<HR>

<A NAME="getArtifactEditForWrite(org.eclipse.wst.common.modulecore.WorkbenchModule)"><!-- --></A><H3>
getArtifactEditForWrite</H3>
<PRE>
public static <A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEdit.html" title="class in org.eclipse.wst.common.modulecore">ArtifactEdit</A> <B>getArtifactEditForWrite</B>(<A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModule</A>&nbsp;aModule)</PRE>
<DL>
<DD><p>
 Returns an instance facade to manage the underlying edit model for the given
 <A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModule</CODE></A>. Instances of ArtifactEdit that are returned through this method must be 
 <A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEdit.html#dispose()"><CODE>dispose()</CODE></A>ed of when no longer in use.
 </p>
 <p>
 Use to acquire an ArtifactEdit facade for a specific <A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModule</CODE></A>that will be
 used for editing. 
 </p>
 <p>
 <b>The following method may return null. </b>
 </p>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>aModule</CODE> - A valid <A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModule</CODE></A>with a handle that resolves to an accessible
            project in the workspace
<DT><B>Returns:</B><DD>An instance of ArtifactEdit that may be used to modify and persist changes to the underlying content model</DL>
</DD>
</DL>
<HR>

<A NAME="save(IProgressMonitor)"><!-- --></A><H3>
save</H3>
<PRE>
public void <B>save</B>(IProgressMonitor&nbsp;aMonitor)</PRE>
<DL>
<DD><p>
 Force a save of the underlying model. The following method should be used with care. Unless
 required, use {@see #saveIfNecessary(IProgressMonitor) instead.
 </p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/eclipse/wst/common/modulecore/IEditModelHandler.html#save(IProgressMonitor)">save</A></CODE> in interface <CODE><A HREF="../../../../../org/eclipse/wst/common/modulecore/IEditModelHandler.html" title="interface in org.eclipse.wst.common.modulecore">IEditModelHandler</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>aMonitor</CODE> - A valid progress monitor or null
<DT><B>Throws:</B>
<DD><CODE>java.lang.IllegalStateException</CODE> - If the ModuleCore object was created as read-only<DT><B>See Also:</B><DD><CODE>org.eclipse.wst.common.modulecore.IEditModelHandler#save()</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="saveIfNecessary(IProgressMonitor)"><!-- --></A><H3>
saveIfNecessary</H3>
<PRE>
public void <B>saveIfNecessary</B>(IProgressMonitor&nbsp;aMonitor)</PRE>
<DL>
<DD><p>
 Save the underlying model only if no other clients are currently using the model. If the
 model is not shared, it will be saved. If it is shared, the save will be deferred.
 </p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/eclipse/wst/common/modulecore/IEditModelHandler.html#saveIfNecessary(IProgressMonitor)">saveIfNecessary</A></CODE> in interface <CODE><A HREF="../../../../../org/eclipse/wst/common/modulecore/IEditModelHandler.html" title="interface in org.eclipse.wst.common.modulecore">IEditModelHandler</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>aMonitor</CODE> - A valid progress monitor or null
<DT><B>Throws:</B>
<DD><CODE>java.lang.IllegalStateException</CODE> - If the ModuleCore object was created as read-only<DT><B>See Also:</B><DD><CODE>org.eclipse.wst.common.modulecore.IEditModelHandler#saveIfNecessary()</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="dispose()"><!-- --></A><H3>
dispose</H3>
<PRE>
public void <B>dispose</B>()</PRE>
<DL>
<DD><p>
 Clients must call the following method when they have finished using the model, even if the
 ArtifactEdit instance facade was created as read-only.
 </p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/eclipse/wst/common/modulecore/IEditModelHandler.html#dispose()">dispose</A></CODE> in interface <CODE><A HREF="../../../../../org/eclipse/wst/common/modulecore/IEditModelHandler.html" title="interface in org.eclipse.wst.common.modulecore">IEditModelHandler</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../org/eclipse/wst/common/modulecore/IEditModelHandler.html#dispose()"><CODE>IEditModelHandler.dispose()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getContentModelRoot()"><!-- --></A><H3>
getContentModelRoot</H3>
<PRE>
public EObject <B>getContentModelRoot</B>()</PRE>
<DL>
<DD><p>
 Returns the root object for read or write access (depending on how the current ArtifactEdit was loaded).
 </p>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>The root object of the underlying model</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ArtifactEdit.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../../org/eclipse/wst/common/modulecore/ArtifactEditModel.html" title="class in org.eclipse.wst.common.modulecore"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ArtifactEdit.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
